%global momorel 3

Summary: xosd - X on-screen display library
Name: xosd
Version: 2.2.12
Release: %{momorel}m%{?dist}
Group: System Environment/Libraries
%NoSource 0 http://www.ignavus.net/%{name}-%{version}.tar.bz2 756d714cec908e4d4c956ff0e7dcd4c4
Patch0: libxosd.m4.patch
Url: http://www.ignavus.net/software.html
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: gdk-pixbuf, gtk+1
BuildRequires: xmms-devel >= 1.2.10-10m
BuildRequires: gdk-pixbuf-devel
BuildRequires: gtk+1-devel

%description
xosd is a library for displaying an on-screen display (like the one on many TVs) on your X display.

%package devel
Summary: Header files and libraries for developing apps which will use %{name}.
Group: Development/Libraries
Requires: %name = %{PACKAGE_VERSION}

%description devel
The %{name}-devel package contains the header files and libraries needed
to develop programs that use the %{name} library.

Install the %{name}-devel package if you want to develop applications that
will use the %{name} library.

%package -n xmms-xosd
Summary: xosd plugin for xmms
Group: Applications/Multimedia
Requires: %name = %{PACKAGE_VERSION}, xmms, gtk+1

%description -n xmms-xosd
xmms-xosd is an xmms plugin to display various things whenever they change (volume, track, paused/shuffle/repeat etc...)

%prep
%setup -q
%patch0 -p0 -b .m4~
%build
%configure
%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/osd_cat
%{_libdir}/libxosd.so.*
%{_mandir}/man1/*
%{_datadir}/xosd

%files devel
%defattr(-,root,root)
%{_bindir}/xosd-config
%{_libdir}/*.so
%{_libdir}/*.a
%{_datadir}/aclocal/*
%{_includedir}/*
%{_mandir}/man3/*
%doc README ChangeLog NEWS COPYING AUTHORS

%files -n xmms-xosd
%defattr(-,root,root)
%{_libdir}/xmms/General/libxmms_osd.*

%changelog
* Tue Feb 13 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.12-3m)
- delete libtool library

* Tue Mar 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.2.12-2m)
- rebuild against xmms-1.2.10-10m

* Mon Jun 27 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.2.12-1m)
- update 2.2.12

* Fri May 20 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.8-3m)
- suppress AC_DEFUN warning.

* Fri Feb  4 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.2.8-2m)
- enable x86_64.

* Mon Jul  5 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.2.8-1m)
- version up

* Wed Oct  8 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.2.5-2m)
- add defattr (reported by Ichiro Nakai)

* Sat Oct  4 2003 Junichiro Kita <kita@momonga-linux.org>
- (2.2.5-1m)
- ver up

* Sun Apr 20 2003 Junichiro Kita <kita@momonga-linux.org>
- (2.2.1-1m)
- ver up

* Sun Apr 13 2003 TABUCHI Takaaki <tab@momonga-linux.org>
* (2.0.1-2m)
- add BuildRequires: gdk-pixbuf, libglade1

* Thu Jan  9 2003 Junichiro Kita <kita@momonga-linux.org>
* (2.0.1-1m)
- ver up

* Wed Oct 23 2002 Junichiro Kita <kita@momonga-linux.org>
* (1.0.3-2m)
- NoSource yame!

* Sun Sep  1 2002 Junichiro Kita <kita@momonga-linux.org>
* (1.0.3-1m)
- update to 1.0.3

* Thu Aug 15 2002 Junichiro Kita <kita@momonga-linux.org>
- (1.0.1-2m)
- apply ba-tari- patch
- see http://u.dhis.portside.net/~uh/diary/?date=20020815#p01

* Wed Aug 14 2002 Junichiro Kita <kita@momonga-linux.org>
- (1.0.1-1m)
- update to 1.0.1

* Sat Jul 27 2002 Junichiro Kita <kita@kitaj.no-ip.com>
- (1.0.0-1m)
- update to 1.0.0

* Mon Apr 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.7.0-4k)
- PreReq: /sbin/ldconfig -> glibc

* Sun Mar 10 2002 Junichiro Kita <kita@kitaj.no-ip.com>
- (0.7.0-2k)
- Jirai to STABLE

* Tue Mar 5 2002 TABUCHI Takaaki <tab@kondara.org>
- (0.7.0-5k)
- add xmms-devel at BuildRequires for xmms-config

* Tue Feb 26 2002 kitaj <kita@kitaj.no-ip.com>
- initial build
